# eric7.Preferences.ConfigurationPages.EditorAutoCompletionJediPage

Module implementing the Jedi Auto-completion configuration page.

### Global Attributes

None

### Classes

EditorAutoCompletionJediPage | Class implementing the Jedi Auto-completion configuration page.

### Functions

create | Module function to create the configuration page.

## EditorAutoCompletionJediPage

Class implementing the Jedi Auto-completion configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorAutoCompletionJediPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorAutoCompletionJediPage | Constructor
save | Public slot to save the Jedi Auto-completion configuration.

### Static Methods

None

#### EditorAutoCompletionJediPage (Constructor)

EditorAutoCompletionJediPage()

Constructor

#### EditorAutoCompletionJediPage.save

save()

Public slot to save the Jedi Auto-completion configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up